function dialog (type,content,sureCallback,dismissCallback,bgCallback) {
	$("body").append("<div class='mask'></div>")
	$(".mask").append("<div class='dialog'></div>")
	$(".mask").css({
		"position":"fixed",
		"top":"0",
		"bottom":"0",
		"left":"0",
		"right":"0",
		"backgroundColor":"rgba(0,0,0,0.5)",
		"display":"none"
	})
	$(".dialog").css({
		"position":"fixed",
		"top":"0",
		"left":"0",
		"right":"0",
		"bottom":"0",
		"margin":"auto",
		"backgroundColor":"#eee",
		"padding":"0.5rem 0.3rem",
		"width":"90%",
		"boxSizing":"border-box",
		"display":"inline-block",
		"fontSize":"0.35rem"
	})
	$(".dialog").append("<div class='content'></div>")
	$(".content").css({
		"padding":"0 0.5rem",
		"maxHeight":"10rem",
		"overflow":"auto"
	})
	$(".content").append(content)
	$(".dialog").append("<div class='btns'></div>")
	$(".btns").css({
		"overflow":"hidden",
		"margin":"0.4rem auto",
		"position":"absolute",
		"bottom":"0",
		"width":"90%"
	});
	if(type == "info"){
		$(".btns").append("<div class='sure_full'>确定</div>")
		$(".sure_full").css({
			"width":"80%",
			"textAlign":"center",
			"margin":"0.4rem auto",
			"color":"#fff",
			"lineHeight":"1rem",
			"fontSize":"0.4rem",
			"borderRadius":"8px",
			"backgroundColor":"#2564c8"
		})
		$(".sure_full").click(sureCallback || dismissDialog)
	} else if (type == "confirm") {
		$(".btns").append("<div class='dismiss half_btn'>取消</div><div class='sure half_btn'>确定</div>")
		$(".half_btn").css({
			"float":"left",
			"width":"45%",
			"textAlign":"center",
			"lineHeight":"1rem",
			"fontSize":"0.4rem",
			"borderRadius":"8px"
		})
		$(".dismiss").css({
			"backgroundColor":"#fff"
		})
		$(".sure").css({
			"backgroundColor":"#2564c8",
			"color":"#fff",
			"marginLeft":"10%"
		})
		$(".sure").click(sureCallback || dismissDialog)
		$(".dismiss").click(dismissCallback || dismissDialog)
	}
	$(".mask").show(0,function(){
		$(".dialog").height($(".content").height()+parseInt($("html").css("fontSize"))*2.5)
		//console.log($("html").css("fontSize"))
	})
	$(".mask").click(function(e){
		if ($(e.target).parents(".dialog").size() <= 0) {
			bgCallback?bgCallback():dismissDialog()
		}
	})
}

function dismissDialog(){
	$(".mask").fadeOut(200,function(){
		$(".mask").remove()
	})
}

